> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/add-rascriteriahardwareid.md).

# Add-RASCriteriaHardwareID

### NAME

Add-RASCriteriaHardwareID\ <br>

### SYNOPSIS

Adds a Hardware ID to the Criteria Hardware ID List.\ <br>

### SYNTAX

Add-RASCriteriaHardwareID \[-DefObjType] {MFA} \[\[-SiteId] *\<uint>*] -HardwareID *\<string>* \[*\<CommonParameters>*]\
\
Add-RASCriteriaHardwareID \[-Id] *\<uint>* -HardwareID *\<string>* -ObjType {ClientPolicy | PubItem | MFA | LogonHours} \[-RuleId *\<uint>*] \[*\<CommonParameters>*]\
\
Add-RASCriteriaHardwareID \[-InputObject] *\<RASListObj>* -HardwareID *\<string>* \[-RuleId *\<uint>*] \[*\<CommonParameters>*]\
\
Add-RASCriteriaHardwareID \[-Name] *\<string>* \[\[-SiteId] *\<uint>*] -HardwareID *\<string>* -ObjType {ClientPolicy | PubItem | MFA | LogonHours} \[-RuleId *\<uint>*] \[*\<CommonParameters>*]\ <br>

### DESCRIPTION

Adds a Hardware ID to the Criteria Hardware ID List within the Criteria settings of a ClientPolicy, MFA or PubItem.\ <br>

### PARAMETERS

\
-**HardwareID \<string>**\
The hardware ID to add to the Criteria.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Name \<string>**\
The name or server for which to modify the Criteria settings.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID for which to modify the Criteria settings.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of a server for which to modify the Criteria settings.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject \<RASListObj>**\
An object of type ClientPolicy, PubItem or MFA for which to modify the Criteria settings.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ObjType \<CriteriaObjType>**\
The Object Type for which to modify the Criteria settings.\
\
Possible values: ClientPolicy, PubItem, MFA, LogonHours\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**DefObjType \<CriteriaDefObjType>**\
The Default Object Type for which to modify the Criteria settings.\
\
Possible values: MFA\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**RuleId \<uint>**\
The ID of the Rule to modify.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
**---------- EXAMPLE 1 ----------**\
\
Add-RASCriteriaHardwareID -Id 1 -ObjType MFA -HardwareID "D4-3D-7E-BF-4B-DC"\
\
Adds the specified Hardware ID to the Criteria Hardware ID List within the Criteria Settings of the specified MFA by ID.\
**---------- EXAMPLE 2 ----------**\
\
Add-RASCriteriaHardwareID -Name "Logon1" -ObjType MFA -HardwareID "D4-3D-7E-BF-4B-DC"\
\
Adds the specified Hardware ID to the Criteria Hardware ID List within the Criteria Settings of the specified MFA by Name.\ <br>

### RELATED LINKS

* [Get-RASCriteria](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASCriteria.html)
* [Set-RASCriteria](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASCriteria.html)
* [Get-RASCriteriaHardwareID](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASCriteriaHardwareID.html)
* [Remove-RASCriteriaHardwareID](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASCriteriaHardwareID.html)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/add-rascriteriahardwareid.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
